Subject: Re: bug#71087: grep.in.1: some remarks and editorial changes for this man page
From: Paul Eggert <[email-masked]>
To: Bjarni Ingi Gislason <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 May 2024 09:52:19 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks, I installed the attached.

From 53b889155f5ee53404a9873f48300fe5b50321d9 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Tue, 21 May 2024 09:50:43 -0700
Subject: [PATCH] doc: fix troff typos

* doc/grep.in.1: Fix troff typos found by mandoc and groff.
Problem reported by Bjarni Ingi Gislason (bug#71087).
---
 doc/grep.in.1 | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/doc/grep.in.1 b/doc/grep.in.1
index 55118a7..d9604ae 100644
--- a/doc/grep.in.1
+++ b/doc/grep.in.1
@@ -23,6 +23,7 @@
 .	\}
 .\}
 .
+.as la
 .if !\w|\*(la| \{\
 .\" groff an-ext.tmac does not seem to be in use, so define the parts of
 .\" it that are used below.  For a copy of groff an-ext.tmac, please see:
@@ -245,7 +246,7 @@ If this option is used multiple times or is combined with the
 option, search for all patterns given.
 The empty file contains zero patterns, and therefore matches nothing.
 If
-.IR FILE
+.I FILE
 is
 .B \-
 , read patterns from standard input.
@@ -674,7 +675,7 @@ whose base name matches
 Ignore any redundant trailing slashes in
 .IR GLOB .
 .TP
-.BR \-I
+.B \-I
 Process a binary file as if it did not contain matching data; this is
 equivalent to the
 .B \-\^\-binary\-files=without\-match
@@ -749,7 +750,7 @@ Like the
 or
 .B \-\^\-null
 option, this option can be used with commands like
-.B sort -z
+.B "sort \-z"
 to process arbitrary file names.
 .
 .SH "REGULAR EXPRESSIONS"
-- 
2.40.1